*,
*::before,
*::after {
	box-sizing: border-box;
}

:root {
	--page_bg: #e5e8f9;
	--header_bg: #afb6d3;
	--section_bg_1: #5681d2;
	--section_bg_2: #89a2bf;
	--border_color: #232c33;
	--button_bg:#e6e49f;
	--button_bg_dark:#787756;
	--book_container_bg: #7a91f7;
	--read_book_container_bg: #1c30e2;
}

html {
	font-family: Lato, "sans-serif";
}

body {
	min-height: 100vh;
	margin: 0 auto;
	background-color: var(--page_bg);
	display: flex;
	flex-direction: column;
}

p {
	margin-top: 4px;
	margin-bottom: 4px;
}

.content {
	flex: 1;
}

.header_container {
	position: sticky;
	top: 0;
	z-index: 999;
	background-color: var(--header_bg);
	border-bottom: #232c33 solid;
	margin-bottom: 25px;
}

.header {
	margin: 0 auto;
	max-width: 750px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.footer_container {
	position: sticky;
	bottom: 0;
	z-index: 999;
	background-color: var(--header_bg);
	border-top: #232c33 solid;
	margin-top: 25px;
}

.footer {
	margin: 0 auto;
	max-width: 750px;
	padding: 0 0 4px 0;
	font-style: italic;
	font-size: small;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.footer_links {
	display: flex;
	flex-direction: column;
}

.link_container {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

.link {
	text-decoration: none;
	color: inherit;
	margin-left: 6px;
}

.link:hover {
	text-decoration: underline;
	font-weight: 600;
}

.main {
	max-width: 800px;
	display: flex;
	margin: 0 auto;
}

.main--add_new_book {
	flex-direction: column;
}

.collapsible {
	border-style: none;
	background-color: inherit;
	font-size: large;
	cursor: pointer;
}

.collapsible:hover {
	text-decoration: underline;
	font-weight: 600;
}

.main--book_form {
	display: none;
	overflow: hidden;
	flex-direction: column;
	max-width: 400px;
	columns: 3;
	padding: 10px 25px;
	border-style: solid;
	border-radius: 25px;
	background-color: var(--section_bg_1);
	border-color: var(--border_color);
}

.book_form_element {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	margin-bottom: 1rem;
}

input {
	margin-left: 1rem;
	border-radius: 0.5rem;
	background-color: var(--page_bg);
}

.button__form {
	margin: 0 auto;
}

.main--shelf {
	flex-direction: column;
	max-width: 750px;
	padding: 10px 25px;
	margin-top: 10px;
	background-color: var(--section_bg_2);
	border-style: solid;
	border-radius: 25px;
	border-color: var(--border_color);
}

.shelf_controls {
	display: flex;
	justify-content:space-around;
}

.shelf_book {
	background-color: var(--book_container_bg);
	border-style: solid;
	border-radius: 25px;
	border-color: var(--border_color);
	margin: 8px auto;
	padding: 5px 10px;
}

.book_other_info {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

.book__read {
	background-color: aliceblue;
}

.button {
	max-width: 120px;
	padding: 5px;
	border-radius: 10px;
	background-color: var(--button_bg);
	border-color: var(--border_color);
	font-weight: 600;
}
.button:hover {
	text-decoration: underline;
	background-color: var(--button_bg_dark);
	color:cornsilk;
}